package com.pcloud.book.advertising.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.pcloud.common.entity.BaseEntity;

import java.util.Date;
import java.util.List;

/**
 * cpa内容
 */
public class AdvertisingCpa extends BaseEntity{

    /**
     *标题
     */
    private String detailName;
    /**
     *广告详情方式
     */
    private String detailMode;
    /**
     *广告详情封面
     */
    private String coverPic;
    /**
     *广告详情优惠图
     */
    private String welfarePic;
    /**
     * 广告详情介绍
     */
    private String detailInfo;
    /**
     *广告报名表单是否校验手机号
     */
    private Boolean formMobileCheck;
    /**
     *广告报名表单备注
     */
    private String formRemark;
    /**
     *广告报名表单提交按钮
     */
    private String formButton;
    /**
     *广告报名表单跳转链接
     */
    private String formLink;
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date createTime;
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date updateTime;
    /**
     * 预览链接
     */
    private String previewLink;

    /**
     * 报名选项设置
     */
    private List<AdvertisingBmOption> advertisingBmOptionList;

    /**
     * 多个上传文件
     */
    private List<AdvertisingDetailFile> advertisingDetailFileList;

    public String getDetailName() {
        return detailName;
    }

    public void setDetailName(String detailName) {
        this.detailName = detailName == null ? null : detailName.trim();
    }

    public String getDetailMode() {
        return detailMode;
    }

    public void setDetailMode(String detailMode) {
        this.detailMode = detailMode == null ? null : detailMode.trim();
    }

    public String getCoverPic() {
        return coverPic;
    }

    public void setCoverPic(String coverPic) {
        this.coverPic = coverPic == null ? null : coverPic.trim();
    }

    public String getWelfarePic() {
        return welfarePic;
    }

    public void setWelfarePic(String welfarePic) {
        this.welfarePic = welfarePic == null ? null : welfarePic.trim();
    }

    public Boolean getFormMobileCheck() {
        return formMobileCheck;
    }

    public void setFormMobileCheck(Boolean formMobileCheck) {
        this.formMobileCheck = formMobileCheck;
    }

    public String getFormRemark() {
        return formRemark;
    }

    public void setFormRemark(String formRemark) {
        this.formRemark = formRemark == null ? null : formRemark.trim();
    }

    public String getFormButton() {
        return formButton;
    }

    public void setFormButton(String formButton) {
        this.formButton = formButton == null ? null : formButton.trim();
    }

    public String getFormLink() {
        return formLink;
    }

    public void setFormLink(String formLink) {
        this.formLink = formLink == null ? null : formLink.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDetailInfo() {
        return detailInfo;
    }

    public void setDetailInfo(String detailInfo) {
        this.detailInfo = detailInfo == null ? null : detailInfo.trim();
    }

    public List<AdvertisingBmOption> getAdvertisingBmOptionList() {
        return advertisingBmOptionList;
    }

    public void setAdvertisingBmOptionList(List<AdvertisingBmOption> advertisingBmOptionList) {
        this.advertisingBmOptionList = advertisingBmOptionList;
    }

    public List<AdvertisingDetailFile> getAdvertisingDetailFileList() {
        return advertisingDetailFileList;
    }

    public void setAdvertisingDetailFileList(List<AdvertisingDetailFile> advertisingDetailFileList) {
        this.advertisingDetailFileList = advertisingDetailFileList;
    }

    public String getPreviewLink() {
        return previewLink;
    }

    public void setPreviewLink(String previewLink) {
        this.previewLink = previewLink;
    }
}